Bug 229212 - games/gzdoom: update to 3.7.2
Summary: games/gzdoom: update to 3.7.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kyle Evans
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-21 16:34 UTC by Piotr Kubaj
Modified: 2019-02-06 18:45 UTC (History)
0 users

See Also:
kevans: maintainer-feedback+


Attachments
patch (829 bytes, patch)
2018-06-21 16:34 UTC, Piotr Kubaj
kevans: maintainer-approval+
Details | Diff
v2 (830 bytes, patch)
2019-02-01 14:02 UTC, Piotr Kubaj
pkubaj: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj 2018-06-21 16:34:03 UTC
Created attachment 194464 [details]
patch

Patch to update gzdoom to 3.4.1.

Tested on Poudriere on 11-STABLE and running on CURRENT.
Comment 1 Kyle Evans freebsd_committer 2018-06-21 16:36:03 UTC
Ahhh, I'd been meaning to get around to this. =) Thanks!
Comment 2 Piotr Kubaj 2019-02-01 14:02:26 UTC
Created attachment 201598 [details]
v2

Can you upgrade this port now?
Comment 3 Kyle Evans freebsd_committer 2019-02-01 14:05:07 UTC
(In reply to Piotr Kubaj from comment #2)

Hi,

Just FYI- you're not really supposed to set maintainer-approval on new iterations of a patch.

Apologies for letting this fall off the radar, though- I'll snag a ports committer to give me approval for this.

Thanks!
Comment 4 Piotr Kubaj 2019-02-01 14:21:13 UTC
(In reply to Kyle Evans from comment #3)
Damn.

Sorry, I know I shouldn't set +, but this was a mistake on my part. I wanted to press ?.

No malice intended.
Comment 5 Kyle Evans freebsd_committer 2019-02-01 14:41:39 UTC
(In reply to Piotr Kubaj from comment #4)

Yup, no harm no foul. Running through a Poudriere build of it to be safe, hope to get this committed later today.
Comment 6 commit-hook freebsd_committer 2019-02-06 18:43:50 UTC
A commit references this bug:

Author: kevans
Date: Wed Feb  6 18:43:13 UTC 2019
New revision: 492316
URL: https://svnweb.freebsd.org/changeset/ports/492316

Log:
  games/gzdoom: Update to 3.7.2

  Please visit https://github.com/coelckers/gzdoom/releases for highlights
  from each of the intermediate releases; many bug fixes and improvements are
  included, to ZScript and otherwise.

  The USES change has been included only to appease portlint and formatting.

  PR:		229212
  Submitted by:	Piotr Kubaj (pkubaj at anongoth.pl)
  Approved by:	zeising (ports)

Changes:
  head/games/gzdoom/Makefile
  head/games/gzdoom/distinfo
Comment 7 Kyle Evans freebsd_committer 2019-02-06 18:45:26 UTC
(In reply to Piotr Kubaj from comment #4)

Committed, thanks!

Apologies for the delay.